# coding=utf-8

import django_filters

from apps.WechatApplet.models import WechatApplet


class WechatAppletFilter(django_filters.FilterSet):
    tenant_name = django_filters.CharFilter(field_name='tenant__name', lookup_expr='icontains')
    user_version = django_filters.CharFilter(field_name='user_version', lookup_expr='icontains')
    wait_audit_version = django_filters.CharFilter(field_name='wait_audit_version', lookup_expr='icontains')
    wait_audit_template = django_filters.CharFilter(field_name='wait_audit_template', lookup_expr='icontains')
    audit_status = django_filters.CharFilter(field_name='audit_status')

    class Meta:
        model = WechatApplet
        fields = '__all__'
